<?php
/*
 * edit_poheader.php
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

/* This page enbles the administrator to edit po file header information.
 *
 *                                                        Author: R.Vigneswaran
 */

include ("include/header_info.php");

if($_SESSION['user_role']!="validator")   //checking for authorized user from session values
{
?>
  <h2>Unauthorized Access!!!</h2><br /><hr>
  Only validator can edit the po file's header information.
<?php
  exit();
}
include ("include/functions_common.php");    
include_once ("include/functions_stat.php");
include ("include/functions_edit_poheader.php");
  
    $selected_file_id = $_GET["selected_file_id"];   //file name of the selected file
    $update_po        = $_POST["update_po"];
    $poheader         = $_POST["poheader"];
    $location         = $_POST["location"];
    $back             = $_POST["back"];

    $db_conn = dbConnect();

    if($update_po) {
        fn_write_poheader($selected_file_id,$poheader);
    }
    if($update_po || $back) {
        header("Location:$location");
        exit();
    }

include("head.php");

//Include All your  Javascripts here

include("body.php");
?>
   <ul id="navibar">
	<li class="wikilink"><a href="main.php">Home</a></li>
	<li class="wikilink"><a href="list.php?category=untrans&amp;page=1">Untranslated Strings</a></li>
	<li class="wikilink"><a href="help.php">Help</a></li>
	<li class="current"><a href="edit_poheader.php?selected_file_id=<?php echo $selected_file_id; ?>">Edit po file header</a></li>
   </ul>
<div id="pageline"><hr style="display:none;"></div>
</div> 			<!-- End of Div started in "body.php" -->
<div id="page">		<!-- This DIV is optional. It provides better padding for your page -->

<!-- New Page contents go here. DO NOT include <HEAD>, <TITLE>, <BODY> tags in your contents. -->

<form name="edit_header_form" method="POST">
<center>
<span class="warning">Fill the po file header with appropriate information.<br>
Please remove the line '#, fuzzy' if any.</span><br><br>
<textarea name="poheader" rows=20 cols=100>
<?php echo fn_read_poheader($selected_file_id); ?>
</textarea><br><br>
<input type="submit" name="back" value="Back">&nbsp;&nbsp;&nbsp;&nbsp;
<input type="submit" name="update_po" value="Save">
<input type="hidden" name="location" value="<?php echo $_SERVER["HTTP_REFERER"]?>">
<br><br>
<i>File: </i><b><?php echo getNodeName($selected_file_id); ?></b>
</center>
</form>

<!-- End of New Page contents DO NOT include </HEAD>, </TITLE>, </BODY> tags in your contents. -->

</div>			<!-- End of <div id="page"> -->

<?php
mysql_close($db_conn);
include("footer.php");
?>
