/*
 * machtranslit.js
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

transliterate();

function transliterate()
{
//alert("transliterate");
//alert(map_type);
    var span_mach,mach_trans_str,selectCombo,selectedIndex,keyboardLabel;
    var result,suggestions,sug_len,eng_str;
    
    selectCombo = document.getElementsByName("selectLanguage")[0];
    selectedIndex = selectCombo.selectedIndex;
    keyboardLabel = new String(selectCombo.options[selectedIndex].label);
    span_mach = document.getElementById("mach_translit");
    mach_trans_str = "";
    
    suggestions = document.getElementsByName("selected_suggestion_id");
    sug_len = suggestions.length;

//variable map_type is defined in IndicInput_IME_multi.js

    if(keyboardLabel.indexOf("multi_") == -1 || map_type == "one_to_many") {
        mach_trans_str = " Transliteration N/A";
        suggestions[sug_len-2].setAttribute('alt',"");
    }
    else {
        eng_str = document.getElementById("eng_string").firstChild.nodeValue;
    
        result = getUniChar(eng_str);
        mach_trans_str = result.str;

        suggestions[sug_len-2].setAttribute('alt',mach_trans_str);
    }
    if(span_mach.firstChild) {
        span_mach.firstChild.nodeValue = " " + mach_trans_str;
    }
    else {
         span_mach.appendChild(document.createTextNode(" "+mach_trans_str));
    }
}
