<?php
/*
 * functions_stat.php
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */


function getNumStringsFile($file_id)
{
    global	$table_string_context;
    $sql_num_strings	= "select count(context_id) from $table_string_context ".
                          "where file_id='$file_id'";
    $result_num_strings	= mysql_query($sql_num_strings);
    $num_strings		= mysql_result($result_num_strings,0);
    return $num_strings;
}

function getNumUntransStringsFile($file_id)
{
    global	$table_string_context;
    $sql_untranslated	    = "select count(context_id) from $table_string_context ".
                              "where valid_sug_id='-1' and file_id='$file_id'";
    $result_untranslated	= mysql_query($sql_untranslated);
    $untranslated		    = mysql_result($result_untranslated,0);
    return $untranslated;
}

function getNumStringsFileArray($file_array)
{
    global	$table_string_context;
    $net_num_strings	= 0;

    $partial_query      = "file_id=" . implode(" or file_id=",$file_array);
    $sql_num_strings    = "select count(context_id) from $table_string_context ".
                          "where $partial_query";
    $result_num_strings = mysql_query($sql_num_strings);
    $net_num_strings    = mysql_result($result_num_strings,0);

    return $net_num_strings;
}

function getNumUntransStringsFileArray($file_array)
{
    global	$table_string_context;
    $net_num_untrans	= 0;

    $partial_query      = "file_id=" . implode(" or file_id=",$file_array);
    $sql_untrans        = "select count(context_id) from $table_string_context ".
                          "where valid_sug_id='-1' and ($partial_query)";
    $result_untrans     = mysql_query($sql_untrans);
    $net_num_untrans    = mysql_result($result_untrans,0);

    return $net_num_untrans;
}

function getPathId($node_id)
{
    global $table_file_details;

    $sql_get_parent_id	    = "select parent_id from $table_file_details where node_id = '$node_id'";
    $result_get_parent_id	= mysql_query($sql_get_parent_id);
    $id_path		        = array();

    if (mysql_num_rows($result_get_parent_id))
    {
        $row_get_parent_id		= mysql_fetch_row($result_get_parent_id);
        if ($row_get_parent_id[0] != -1)
        {
            $parent_id		= $row_get_parent_id[0];
            $id_path[]		= $parent_id;
            $id_path		= array_merge(getPathId($parent_id), $id_path);
        }
    }
    return $id_path;
}

function getPath($node_id)
{
    global $table_file_details;

    $sql_get_parent     = "select c.parent_id,s.node_name from $table_file_details " .
                          "as s,$table_file_details as c where c.node_id=$node_id and s.node_id=c.parent_id";
    $result_get_parent	= mysql_query($sql_get_parent);

    $path   = array();

    if (mysql_num_rows($result_get_parent))
    {
        $row_get_parent = mysql_fetch_row($result_get_parent);
        if ($row_get_parent[0] != -1)
        {
            $parent_id      = $row_get_parent[0];
            $parent_name    = $row_get_parent[1];
            $path[]         = $parent_name;
            $path           = array_merge(getPath($parent_id), $path);
        }
    }
    return $path;
}

function getAllSubPO($parent_id)
{
    global $table_file_details;
    $sql_get_child_po	= "select node_id, node_name, is_po from $table_file_details ".
        "where parent_id = '$parent_id' order by is_po desc";
    $result_get_child_po	= mysql_query($sql_get_child_po);

    $list_po = array();
    if (mysql_num_rows($result_get_child_po))
    {
        $index	= 0;
        while ($row_get_child_po	= mysql_fetch_row($result_get_child_po))
        {
            $node_id	= $row_get_child_po[0];
            $node_name	= $row_get_child_po[1];
            $is_po		= $row_get_child_po[2];
            if ($is_po)
            {
                $list_po[]	= $node_id;
            }
            else
            {
                $list_po = array_merge($list_po, getAllSubPO($node_id));
            }
        }
    }
    return $list_po;
}

function getChild($parent_id)
{
    global $table_file_details;

    $sql_get_child    = "select node_id, node_name, is_po from $table_file_details ".
        "where parent_id = '$parent_id' order by is_po, node_name";
    $result_get_child = mysql_query($sql_get_child);

    $list_child = array();
    if (mysql_num_rows($result_get_child))
    {
        $index  = 0;
        while($row_get_child = mysql_fetch_row($result_get_child))
        {
            $list_child[$index][0]  = $row_get_child[0];
            $list_child[$index][1]  = $row_get_child[1];
            $list_child[$index][2]  = $row_get_child[2];
            $index++;
        }
    }
    return $list_child;
}

function getChildPO($parent_id)
{
    global $table_file_details;

    $partial_query = "";
    if($parent_id != "") { //if $parent_id is empty, all PO files will be selected
        $partial_query = "parent_id = $parent_id and";
    }
    $sql_get_child_po = "select node_id, node_name from $table_file_details ".
        "where $partial_query is_po=1";
    $result_get_child_po = mysql_query($sql_get_child_po) or
        die(mysql_error());

    $list_child_po  = array();
    $index          = 0;
    while($row_get_child_po = mysql_fetch_row($result_get_child_po))
    {
        $list_child_po[$index]['node_id']   = $row_get_child_po[0];
        $list_child_po[$index]['node_name'] = $row_get_child_po[1];
        $index++;
    }
    return $list_child_po;
}

function getBranchList()
{
    global $table_file_details;
    $sql_get_dir	= "select node_id, node_name from $table_file_details where is_po = 0";
    $result_get_dir	= mysql_query($sql_get_dir);
    $list_dir       = array();
    if (mysql_num_rows($result_get_dir))
    {
        $index	= 0;
        while ($row_get_dir = mysql_fetch_row($result_get_dir))
        {
            $dir_id			= $row_get_dir[0];
            $dir_name		= $row_get_dir[1];
            $dir_path		= array();
            $dir_path		= getPath($dir_id);
            $dir_path[]		= $dir_name;
            $formatted_dir_path	 = implode("/", $dir_path);
            $list_dir[$index]["id"]    = $dir_id;
            $list_dir[$index]["path"]  = $formatted_dir_path;
            $index++;
        }
    }
    return $list_dir;
}

function getNodeName($node_id)
{
    global $table_file_details;
    $sql_node_name		= "select node_name from $table_file_details where ".
        "node_id = '$node_id'";
    $result_node_name	= mysql_query ($sql_node_name) 	or Die ("Database error! " . mysql_error());

    if($row_node_name = mysql_fetch_row($result_node_name))
    {
        $node_name  = $row_node_name[0];
        return $node_name;
    }
    return false;
}

function getNodeId($node_name,$parent_id)
{
    global $table_file_details,$error_msg;
    $sql_node_id	= "select node_id from $table_file_details where ".
        "node_name = '$node_name' and parent_id = $parent_id";
    $result_node_id	= mysql_query ($sql_node_id) or Die ("Database error! " . mysql_error());

    if($row_node_id = mysql_fetch_row($result_node_id))
    {
        $node_id    = $row_node_id[0];
        return $node_id;
    }
    $error_msg = "Node <i>$node_name</i> is not present under the branch <i>". getNodeName($parent_id) . '</i>';
    return false;
}

function getLang($node_id)
{
    global $table_file_details;
    $sql_lang	= "select lang from $table_file_details where ".
        "node_id = '$node_id'";
    $result_lang	= mysql_query ($sql_lang) 	or Die ("Database error! " . mysql_error());

    if($row_lang = mysql_fetch_row($result_lang))
    {
        $lang = $row_lang[0];
        return $lang;
    }
    return false;
}

function getAllLang()
{
    global $table_lang_details;

    $sql_lang    = "select code, language from $table_lang_details order by language";
    $result_lang = mysql_query ($sql_lang) or Die ("Database error! " . mysql_error());

    $lang  = array();
    $index = 0;
    while ($row_lang = mysql_fetch_row($result_lang))
    {
        $lang[$index]["code"]     = $row_lang[0];
        $lang[$index]["language"] = $row_lang[1];
        $index++;
    }
    return $lang;
}

function getLangName($lang_code)
{
    global $table_lang_details;

    $sql_lang    = "select language from $table_lang_details where " .
        "code='$lang_code'";
    $result_lang = mysql_query ($sql_lang) or Die ("Database error! " . mysql_error());

    $language = "";
    if ($row = mysql_fetch_row($result_lang)) {
        $language = $row[0];
    }
    return $language;
}

function filesUnderLang($lang_code)
{
    global $table_file_details;

    $sql_lang    = "select node_id, node_name from $table_file_details where " .
        "lang='$lang_code' and is_po=1";
    $result_lang = mysql_query ($sql_lang) or Die ("Database error! " . mysql_error());

    $file_list = array();
    $index     = 0;
    while ($row = mysql_fetch_row($result_lang))
    {
        $file_list[$index]["node_id"]   = $row[0];
        $file_list[$index]["node_name"] = $row[1];
        $index++;
    }

    return $file_list;
}

function isBranchEmpty($node_id)
{
    global $table_file_details;

    $sql_branch = "select count(node_id) from $table_file_details where " .
                  "parent_id=$node_id";
    $result_branch = mysql_query($sql_branch) or Die("Database error! $sql_branch" . mysql_error());

    if(mysql_result($result_branch,0,0) > 0) {
        return false;
    }
    return true;
}

function getParentId($node_id)
{
    global $table_file_details;
    $sql_get_parent		= "select parent_id from $table_file_details where node_id = '$node_id'";
    $result_get_parent	= mysql_query($sql_get_parent);
    if (mysql_num_rows($result_get_parent))
    {
        return (mysql_result($result_get_parent,0));
    }
    return false;
}

function getNumChild($node_id)
{
    global $table_file_details;
    $node			= basename($node);
    $sql_num_child		= "select count(node_id) from $table_file_details where ".
        "parent_id = '$node_id'";
    $result_num_child	= mysql_query ($sql_num_child);
    $num_child		= mysql_result($result_num_child,0);
    return $num_child;
}

function orderBy($list,$key)
{  
    //sorts table(two dimensional array) $list with respect to the column $key
    $len = count($list);
    for($i=0;$i<$len-1;$i++)
    {
        $selected_arr = $list[$i];
        $selected_val = $selected_arr[$key];
        for($j=$i+1;$j<$len;$j++)
        {
            $curr_arr = $list[$j];
            $curr_val = $curr_arr[$key];
            if($selected_val > $curr_val)
            {
                $list[$i] = $curr_arr;
                $list[$j] = $selected_arr;
                $selected_arr = $curr_arr;
                $selected_val = $selected_arr[$key];
            }
        }
    }
    return $list;
}

function isPoFile($node_id)
{
    global $table_file_details;
    $sql_is_po = "select is_po from $table_file_details where ".
        "node_id = $node_id";
    $result_is_po = mysql_query ($sql_is_po);
    $is_po = mysql_result($result_num_child,0);
    return $is_po;
}

?>
