<?php
/*
 * register.php
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

include ("include/header_info.php");
include ("include/functions_common.php");


/* 	Register and Login page
 * This page can be used to create new users as well as login as existing users
 *
 *							Author: Khader Abbeb N , R.Vigneswaran
 */

$db	= dbConnect();

if(!$_POST["sub_login"])		// Destroy session unless its a login session
{
	$_SESSION	= array();
	session_destroy();
}

if($_POST["sub_login"])		// User Login
{
	include("login.php");			// Include login script
	mysql_close($db);
	if($_SESSION['user'])
	{
	    $query_status	= "login success";
	    header("Location: main.php");	//redirect to main page
	}
}
else if($_POST["sub_register"])			// User Registration
{

	$user_name	= $_POST['user_name'];		// User Name	
	$passwd		= md5($_POST['passwd']);	// Encrypted password
	$mail_id	= $_POST['mail_id'];		// E-mail Id
	$recv_mail	= $_POST['recv_mail'];  	// Mail Receiving option
	$role		= "translator";			// Default User role = translator
	if($recv_mail==""||$recv_mail==1)
	    $recv_mail_yes="checked";
	else
	    $recv_mail_no="checked";
	$query_status="none";
	if($user_name!="")
	{
	    $select_query="select user_name from $table_user_details where user_name='$user_name'";
	    $sql_result=mysql_query($select_query);
	    if(mysql_fetch_row($sql_result))
	      	$query_status="existing_user";		//user name alread exists
	    else
	    {
	       	$insert_query	= "insert into $table_user_details (user_name,password,role,mail_id,recv_mail) ".
				  "values('$user_name','$passwd','$role','$mail_id','$recv_mail')";
		mysql_query($insert_query);
	    	$query_status	= "reg success";		//registration completed successfully
	    }
	  mysql_close($db);
	}
}
include ("head.php");
?>
	<script type="text/javascript" language="JavaScript" src="scripts/register.js"> </script>

	<style type="text/css">
	<!--
		
	// -->
	</style>

<?php
include("body.php");
?>
<!--
<div id="tab">
-->
   <ul id="navibar">
	<li class="wikilink"><a href="main.php">Home</a></li>
	<li class="wikilink"><a href="list.php?category=untrans&amp;page=1">Untranslated Strings</a></li>
	<li class="wikilink"><a href="help.php">Help</a></li>
	<li class="current"><a href="register.php">Login/Register</a></li>
   </ul>

<div id="pageline"><hr style="display:none;"></div>

</div>

<?php
if($query_status=="reg success")
{
?>
<div id="page">
	<center>Registration Completed Successfully!
	
	<br /><br /> Click here to <a id="loginapp" href="register.php">Login</a><br /><br />
	
  	<br><a href="main.php">Home</a></center>
</div>
<script type="text/javascript">
    document.getElementById("loginapp").focus();
</script>
<?php
}
else
{
?>

	<form name="login_form" action="" method="post" onSubmit="return fn_login();">
	    <table align="center"  border="0" width="600" >
		<tr><td colspan="4">&nbsp;</td> </tr>
  		<tr>
		    <td colspan="4" align="center"><u>Login/Registration Form</u></td>
		</tr>
		<tr>
		    <td colspan="4" align="center"><span class="warning"> * Mandatory fields</span></td>
		</tr>
		<tr><td colspan="4">&nbsp;</td> </tr>
		<tr>
		    <td width="100">&nbsp;</td>
		    <td width="100"><span class="warning">* </span>Login Name</td>
		    <td width="100"><input type="text" name="uname"></td>
		    <td width="100">&nbsp;</td>
		</tr>
		<tr>
<?php
	  	if($query_status=="existing_user")
		{
		    echo "<td>&nbsp;</td>";
		    echo "<td colspan=2 align=center><span class=\"warning\">".
			 "Login Name '$user_name' already exists!</span></td>";
		    echo "<td>&nbsp;</td>";
		}
  		else if ($login_err)
		{
		    echo "<td colspan=2>&nbsp;</td>";
		    echo "<td align=\"left\"><span class=\"warning\">".$login_err.
			 "</span></td>";
		    echo "<td>&nbsp;</td>";
		}
		else
		    echo "<td colspan=4>&nbsp;</td>";
?>
		</tr>
		<tr>
		    <td>&nbsp;</td>
		    <td><span class="warning">* </span>Password</td>
		    <td><input type="password" name="passwd"></td>
		    <td><input type="submit" name="sub_login" value="Login" ></td>
		</tr>
	    </table>	
	</form>
	<form name="reg_form" action="" method="POST" onSubmit="return fn_validate();" >
	    <table align="center"  border="0" width="600" >
		<tr>
		    <td colspan=4>&nbsp;
			<input type="hidden" name="sub_register" value="">
			<input type="hidden" name="user_name" value="">
			<input type="hidden" name="passwd" value="">
		    </td>
		</tr>
		<tr>
		    <td width="100">&nbsp;</td>
		    <td width="100"><span class="warning">* </span>Confirm Password</td>
		    <td width="100"><input type="password" name="passwd_confirm"</td>
		    <td width="100"><span class="warning"> For Registration only</span></td>
		</tr>
		<tr>
		    <td>&nbsp;</td>
		    <td colspan="2" align="right" class="ver10"><span class="warning" >
			Password must have a minimum of 6 characters</span></td>
		    <td>&nbsp;</td>
		</tr>
		<tr>
		    <td colspan=4>&nbsp;</td>
		</tr>
		<tr>

		    <td>&nbsp;</td>
		    <td>&nbsp;&nbsp;&nbsp;Mail Id</td>
		    <td><input type="text" name="mail_id" value="<?php echo "$mail_id" ?>"></td>	
		    <td><span class="warning"> For Registration only</span></td>
		</tr>
		<tr>
		    <td colspan=4>&nbsp;</td>
		</tr>
		<tr>
		    <td>&nbsp;</td>
		    <td colspan=2>&nbsp;&nbsp;&nbsp;Do you want to receive mails from this site?</td>	
		    <td>&nbsp;</td>
		</tr>
		<tr>
		    <td>&nbsp;</td>
		    <td align="center"><input type="radio" name="recv_mail" value="1" <?php echo $recv_mail_yes?>>Yes</td>
		    <td align="left"><input type="radio" name="recv_mail" value="0" <?php echo $recv_mail_no?>>No</td>	
		    <td>&nbsp;</td>
		</tr>
		<tr><td colspan=4>&nbsp;</td></tr>
		<tr>
		    <td colspan=4 align="center">
			<input type="submit" name="register" value="Register"></td>	
		</tr>
		<tr><td colspan=4>&nbsp;</td></tr>
		<tr><td colspan=4>
			<div class="ver12" align="justify">&nbsp;&nbsp;&nbsp;&nbsp;
<!--			     If you select "Receive mail" option, you would receive mail containing untranslated 
			     English words and phrases that needs to be translated into an Indian Language. This option
			     will enable you to do the translation work via e-mail.<br />
				&nbsp;&nbsp;&nbsp;&nbsp;
			     The e-mail id will also be used for pasword recovery, incase you forget your password.
-->			</div>
		     </td>
		</tr>
	    </table>
	</form>
  <script type="text/javascript" language = "JavaScript">
  <!--
    document.login_form.uname.focus();  //initial focus is setting to the user name field
   //-->
  </script>
<?php

}

include ("footer.php");
?>
