/*
 * organize.js
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

var ret_val;

function fn_verify()
{
    return ret_val;
}

function changeParent()
{
    var source_branch    = document.organize_form.source_branch;
    var sel_index        = source_branch.selectedIndex;
    var root        	 = source_branch.options[sel_index].value;
    var path             = window.location.pathname;

    window.location.href = path + "?root=" + root;
}

function fn_change()
{
    var lang = document.organize_form.lang;
    var sel_index  = lang.selectedIndex;
    var lang_value = lang.options[sel_index].value;
    
    ret_val = true;
    if(!lang_value) {
        window.alert("Please specify the language code.");
        ret_val = false;
    }
}

function fn_download_branch()
{
    ret_val=confirm("It will take some time.\nDo you want to continue?");
}

function fn_download_po()
{
    ret_val=true;
}

function fn_move_po()
{
    ret_val=confirm("Do you want to move the selected files " + 
                    "to the destination branch?");
}

function fn_delete_file_contents() 
{
    ret_val = confirm("Do you want to delete contents of the selected files" + 
                    " from database?");
}


var content	= Array();

content[2]  = '<p><big><b>View Files</b></big></p><p>'+
		      'Recursively view all files and branches under the selected branch</p>';
content[3]  = '<p><big><b>Move File(s)</b></big></p><p>'+
		      'Move selected file(s) into the destination branch</p>';
content[4]  = '<p><big><b>Language</b></big></p><p>The language to which the ' +
              'selected files should be changed to.</p>';            
content[5]  = '<p><big><b>Change</b></big></p><p>'+
		      'Change selected files\' language as the selected language</p>';
content[6]  = '<p><big><b>Language Code</b></big></p><p>The two character code ' +
              'which uniquely identifies the language.</p>';
content[7]  = '<p><big><b>Download Files</b></big></p><p>Downloads the selected files.' +
              ' The downloaded files contain the currently valid ' +
              'translations available in the database.</p>';
content[8]  = '<p><big><b>Delete Files</b></big></p><p>Removes the contents of ' +
              'the selected files from the database. Message strings and translations ' +
              'taken from the file remain unchanged as knowledge base.</p>';
content[9]  = '<p><big><b>Download Branch</b></big></p><p>Downloads the files ' +
              'under the selected branch and its sub branches as .tar.gz ' +
              'file. The branch hierarchy will be maintained.</p>';
