<?php
/*
 * updatedb.php
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 */

  include ("include/functions_common.php");    
  include ("include/functions_dbadminister.php");

  $argc  = $_SERVER["argc"];
  $argv  = $_SERVER["argv"];

  if($argc < 7) {
      exit(1);
  }

  if(substr($dir,-1)!="/")
      $dir .= "/";
  
  $db_conn      = dbConnect();
  
  $upload_file  = $argv[1];
  $parent_id    = $argv[2];
  $lang         = $argv[3];
  $write_log    = $argv[4];
  $user         = $argv[5];
  $log_file     = $argv[6];
  
  //get the process id of the current process
  $pid = getmypid();
  
  $file  = $pid_file;    //variable $pid_file is defined in conf/database.conf.php
  
  //write the process id and arguments given to this script to the file 'pid_file'
  if($fh = @fopen($file,"a")) {
      fputs($fh,"$pid,$upload_file,$parent_id,$lang,$write_log,$user,$log_file\n");
      fclose($fh);
  }
  
  //call the function which actually does the updation process
  $msg = fn_process($upload_file,$parent_id,$lang,$write_log,$user,$log_file);
  
  mysql_close($db_conn);
  
  //on successful updation, the entry in the file 'pid_file' corresponding to the 
  //current process will be deleted
  delPIDEntry(0,$pid);
?>
